• Maxim Cournoyer's avatar
    packaging: Add jami-libqt to the jami-all package. · 4e969701
    Maxim Cournoyer authored and Sébastien Blin's avatar Sébastien Blin committed
    This makes the current 'jami-all' package the one used for the
    one-click install package.
    
    * packaging/rules/debian/rules (OCI_INSTALL_DIR): New variable.
    (override_dh_auto_install): Extend rule to install the files of the
    jami-libqt package.  Do not include the jami-gnome in jami-all.
    * packaging/rules/debian/control (jami-all): Update description.
    * packaging/rules/debian-one-click-install: Delete directory.
    * packaging/rules/debian-one-click-install/jami-all.postinst: Move to ...
    * packaging/rules/debian/jami-all.postinst: ... here.
    * scripts/make-packaging-target.py: Remove all OCI-specific targets.
    * scripts/deploy-packages.sh (package_deb) [jami-all]: Do not add
    package to the apt repository.
    [manual-download]: Look for the jami-all package from the main
    distribution directory, not in a '_oci' suffixed version.
    
    GitLab: jami-client-qt#263
    Change-Id: I4cacf26355c767d1c77b1ce478b184023481b674
    4e969701